diff --git a/lirc.sh b/lirc.sh
index 2aec1fd..948a9d0 100755
--- a/lirc.sh
+++ b/lirc.sh
@@ -1,18 +1,18 @@
 #!/bin/sh
-INPUT="/usr/include/linux/input.h"
+INPUT="/usr/include/linux/input-event-codes.h"
 cat <<EOF
 begin remote
 	name linux-input-layer
 	bits 32
 	begin codes
 EOF
-awk "
+gawk '
 	/_MAX/			{ next };
 	/KEY_RESERVED/		{ next };
-	/#define (KEY|BTN)_/	{ gsub(/KEY_/,\"\",\$2);
-				  printf(\"\t\t%-20s 0x%04x\n\",
-					 \$2,0x10000+strtonum(\$3)) } 
-" < $INPUT
+	/#define (KEY|BTN)_/	{ gsub(/KEY_/,"",$2);
+				  printf("\t\t%-20s 0x%04x\n",
+					 $2,0x10000+strtonum($3)) } 
+' < $INPUT
 cat <<EOF
 	end codes
 end remote
